#ifndef CHARTCOLORBARAXISY_H
#define CHARTCOLORBARAXISY_H

#include <private/verticalaxis_p.h>
#include <QtGui>

QT_CHARTS_BEGIN_NAMESPACE

class QColorBarAxis;

class ChartColorBarAxisY : public VerticalAxis
{
    Q_OBJECT
public:
    ChartColorBarAxisY(QColorBarAxis *axis, QPoint pos, qreal height, QLinearGradient gradient, QGraphicsItem *item = 0);
    ~ChartColorBarAxisY();

    QSizeF sizeHint(Qt::SizeHint which, const QSizeF &constraint) const;



protected:
    QVector<qreal> calculateLayout() const;
    void updateGeometry();
private Q_SLOTS:
    void handleTickCountChanged(int tick);
    void handleMinorTickCountChanged(int tick);
    void handleLabelFormatChanged(const QString &format);
    void createColorBar();


private:
    QColorBarAxis *m_axis;
    QLinearGradient m_gradient;
    QPoint m_position;
    qreal m_height;
};

QT_CHARTS_END_NAMESPACE

#endif // CHARTCOLORBARAXISY_H
